#!/usr/bin/env python3
# -*- coding: utf-8 -*-


xmax = [0, 4145]
ymax = [0, 4126]
x2arcmin = [1862, 2282]  # [4145//2-210, 4145//2+210]
y2arcmin = [1853, 2273]  # [4126//2-210, 4126//2+210]

target_luciano = [

    {
        "object":   "HAT-P-47",
        "radec": "02 33 13.95 +30 21 37.79",
        "bins":  [2],
        "ndit":  200,
        "dits":  [60],
        "filts": [4],
    },

    {
        "object":   "test",
        "radec": "01 58 00.7  +65 43 00.30",
        "xran":  x2arcmin,
        "yran":  y2arcmin,
        "bins":  [1, 2],
        "ndit":  3,
        "dits":  [0.1, 1.0],
        "filts": [3, 4],
    },

    {
        "object":   "NGC6791",
        "radec": "19 20 53.0  +37 46 18.00",
        "xran":  xmax,
        "yran":  ymax,
        "bins":  [1],
        "ndit":  10,
        "dits":  [0.1, 1.0, 5.0, 10.0],
        "filts": [3, 4, 5, 6],
    },

    {
        "object":   "FRB180916",
        "radec": "01 58 00.7  +65 43 00.30",
        "bins":  [2],
        "ndit":  10,
        "dits":  [0.1, 1.0, 5.0, 10.0, 20],
        #        "dits":  [10.0, 20.0],
        "filts": [3, 4, 5],
    },

    {
        "object":   "IC342",
        "radec": "03 46 48.0  +68 06 00.00",
        "xran":  xmax,
        "yran":  ymax,
        "bins":  [1],
        "ndit":  3,
        "dits":  [300, 600],
        "filts": [2, 3, 4, 5, 6],
    },

    {
        "object":   "M36",
        "radec": "05 36 17.7  +34 08 27.00",
        "xran":  xmax,
        "yran":  ymax,
        "bins":  [1],
        "ndit":  10,
        "dits":  [0.1, 1.0, 5.0, 10.0],
        "filts": [3, 4, 5, 6],
    },

    {
        "object":   "FRB201124",
        "radec": "05 08 03.5  +26 03 38.36",
        "xran":  x2arcmin,
        "yran":  y2arcmin,
        "bins":  [1, 2],
        "ndit":  10,
        "dits":  [0.1, 1.0, 5.0, 10.0],
        "filts": [3, 4, 5],
    },
]
